Subject: What's your take on this?

From: <[email-masked]>
Date: Wed, 17 Oct 2007 14:22:06 +0400

Canadian Concept To Revolutionize US Used Car Market.

EXIT ONLY INC
E X T O
Price: $0.43

EXTO used Canada for it's market testing ground for an online used car
market that only charges for interested buyers. We can only imagine how
big the response will be when comparing the great results in Canada to a
market as large as the US. Taking a new edge in the market, EXTO only
charges sellers for leads with no hidden costs. Tuesday morning early,
EXTO announced it is already tested and set to launch the new US site
ahead of schedule. Once this thing hits the market, share prices could
go wild. Get on this first thing Wed morning.